org.apache.naming

## Class HandlerRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.HandlerRef

- All Implemented Interfaces:
    Serializable, Cloneable

      public class HandlerRef
      extends AbstractRef

  Represents a reference handler for a web service.
  Author:
    Fabien Carrion
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FACTORY` Default factory for this reference.
    `static String` | `HANDLER_CLASS` Handler Classname address type.
    `static String` | `HANDLER_LOCALPART` Handler Classname address type.
    `static String` | `HANDLER_NAME` HandlerName address type.
    `static String` | `HANDLER_NAMESPACE` Handler Classname address type.
    `static String` | `HANDLER_PARAMNAME` Handler Classname address type.
    `static String` | `HANDLER_PARAMVALUE` Handler Classname address type.
    `static String` | `HANDLER_PORTNAME` Handler PortName address type.
    `static String` | `HANDLER_SOAPROLE` Handler SoapRole address type.

    - ### Fields inherited from class javax.naming.Reference

      `addrs, classFactory, classFactoryLocation, className`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerRef(String refname, String handlerClass)`
    `HandlerRef(String refname, String handlerClass, String factory, String factoryLocation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getDefaultFactoryClassName()`

    - ### Methods inherited from class org.apache.naming.AbstractRef

      `getFactoryClassName, toString`

    - ### Methods inherited from class javax.naming.Reference

      `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FACTORY

          public static final String DEFAULT_FACTORY

      Default factory for this reference.
      See Also:
        Constant Field Values

    - #### HANDLER_NAME

          public static final String HANDLER_NAME

      HandlerName address type.
      See Also:
        Constant Field Values

    - #### HANDLER_CLASS

          public static final String HANDLER_CLASS

      Handler Classname address type.
      See Also:
        Constant Field Values

    - #### HANDLER_LOCALPART

          public static final String HANDLER_LOCALPART

      Handler Classname address type.
      See Also:
        Constant Field Values

    - #### HANDLER_NAMESPACE

          public static final String HANDLER_NAMESPACE

      Handler Classname address type.
      See Also:
        Constant Field Values

    - #### HANDLER_PARAMNAME

          public static final String HANDLER_PARAMNAME

      Handler Classname address type.
      See Also:
        Constant Field Values

    - #### HANDLER_PARAMVALUE

          public static final String HANDLER_PARAMVALUE

      Handler Classname address type.
      See Also:
        Constant Field Values

    - #### HANDLER_SOAPROLE

          public static final String HANDLER_SOAPROLE

      Handler SoapRole address type.
      See Also:
        Constant Field Values

    - #### HANDLER_PORTNAME

          public static final String HANDLER_PORTNAME

      Handler PortName address type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HandlerRef

          public HandlerRef(String refname,
                    String handlerClass)

    - #### HandlerRef

          public HandlerRef(String refname,
                    String handlerClass,
                    String factory,
                    String factoryLocation)

  - ### Method Detail

    - #### getDefaultFactoryClassName

          protected String getDefaultFactoryClassName()

      Specified by:
        `getDefaultFactoryClassName` in class `AbstractRef`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.